petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSortIntWithArrayPair

Sorts an array of integers in place in increasing order; changes a pair of integer arrays to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithArrayPair(PetscInt n,PetscInt *L,PetscInt *J, PetscInt *K)

Not Collective Many br

### Input Parameters

| n | - number of values Many br
| I | - array of integers Many br
| J | - second array of integers (first array of the pair) Many br
| K | - third array of integers (second array of the pair) Many br

Many br

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortIntWithArray()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages